### Function

# GLib SList nth_data

#### Declaration

    gpointer
    g_slist_nth_data (
      GSList* list,
      guint n
    )

#### Description

Gets the data of the element at the given position.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

`n`

  Type: `guint`

  The position of the element.

#### Return value

Type: `gpointer`

The element’s data, or `NULL` if the position is off the end of the `GSList`.

The data is owned by the called function.
The return value can be `NULL`.